"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.factory = void 0;
const Tool_1 = require("./Tool");
const Logger_1 = require("./Logger");
const Inputs_1 = require("./Inputs");
const Outputs_1 = require("./Outputs");
const TaskResult_1 = require("./TaskResult");
const github = __importStar(require("@actions/github"));
class GitHubFactory {
    constructor() {
        this.tool = new Tool_1.Tool();
        this.log = new Logger_1.Logger();
        this.inputs = new Inputs_1.Inputs();
        this.outputs = new Outputs_1.Outputs();
        this.repo = {
            path: process.cwd(),
            ref: github.context.ref,
            sha: github.context.sha,
            uri: `https://github.com/${github.context.repo.owner}/${github.context.repo.repo}`,
        };
        this.temp = process.env.RUNNER_TEMP;
        this.result = new TaskResult_1.TaskResult();
        if (github.context.eventName === 'pull_request') {
            const pullRequestPayload = github.context.payload;
            this.pullRequest = {
                id: pullRequestPayload.number,
                targetBranch: pullRequestPayload.pull_request.base,
                sourceBranch: pullRequestPayload.pull_request.head,
            };
        }
    }
}
exports.factory = new GitHubFactory();
//# sourceMappingURL=index.js.map